const ConfigUnit = require('libflitter/config/ConfigUnit')
const path = require('path')

class CompatConfigUnit extends ConfigUnit {
    /**
     * Get the name of the service provided by this unit: 'services'
     * @returns {string} - 'services'
     */
    static get name() {
        return 'configs'
    }

    constructor() {
        const base_dir = path.resolve(__dirname, '..', '..', 'config')
        super(base_dir)
    }
}

module.exports = exports = CompatConfigUnit
